Skip to main content
PATCH

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Path Parameters

sender
string
required

Registered WhatsApp sender number. Must be in international format.

templateName
string
required

Template ID. Must be a number.

Body

application/json
category
enum<string>

Category of the template. Approved template category cannot be edited.

Available options:
MARKETING,
AUTHENTICATION,
UTILITY
Example:

"MARKETING"

structure
editStructure · object

Template structure. Format depends on the template category.

validityPeriod
editValidityPeriod · object

Template validity period in which WhatsApp will try to deliver a template message. Supported ranges are dependent on template category: 10 seconds to 15 minutes for Authentication, 30 seconds to 12 hours for Utility, and 12 to 48 hours for Marketing. Omitting this field leaves the current validity period unchanged. Marketing validity periods apply only to messages sent through the Marketing Messages API and are ignored by the Cloud API.

platform
Platform · object

Platform options. For more details, see documentation.

subCategory
enum<string>

Sub category of template. It is required only if edited template has already sub category.

Available options:
ORDER_STATUS

Response

Template edited.

The list of the results for this page.

structure
DefaultTemplateStructureApiData · object
required

Structure of the created template. Can consist of body (mandatory), header, footer, buttons, carousel, limited time offer, call permission request and shortening options.

id
string

Template ID.

Example:

"111"

businessAccountId
integer<int64>

Business account ID to which template belongs.

Example:

222

name
string

Name of the template.

Example:

"template_name"

language
enum<string>

Template language, one template with same name can have multiple transliterations.

Available options:
af,
sq,
ar,
ar_EG,
ar_AE,
ar_LB,
ar_MA,
ar_QA,
az,
bn,
bn_IN,
bg,
ca,
zh_CN,
zh_HK,
zh_TW,
hr,
cs,
da,
nl,
nl_BE,
en,
en_GB,
en_US,
en_AE,
en_AU,
en_CA,
en_GH,
en_IE,
en_IN,
en_JM,
en_MY,
en_NZ,
en_QA,
en_SG,
en_UG,
en_ZA,
et,
fil,
fi,
fr,
fr_BE,
fr_CA,
fr_CH,
fr_CI,
fr_MA,
ka,
de,
de_AT,
de_CH,
el,
gu,
ha,
he,
hi,
hu,
id,
ga,
it,
ja,
kn,
kk,
rw_RW,
ko,
ky_KG,
lo,
lv,
lt,
mk,
ms,
ml,
mr,
nb,
fa,
pl,
pt_BR,
pt_PT,
pa,
ro,
ru,
sr,
si_LK,
sk,
sl,
es,
es_AR,
es_CL,
es_CO,
es_CR,
es_DO,
es_EC,
es_HN,
es_MX,
es_PA,
es_PE,
es_ES,
es_UY,
sw,
sv,
ta,
te,
th,
tr,
uk,
ur,
uz,
vi,
zu,
unknown
Example:

"en"

status
enum<string>

Status of the template.

Available options:
APPROVED,
IN_APPEAL,
PENDING,
REJECTED,
PENDING_DELETION,
DELETED,
REINSTATED,
FLAGGED,
FIRST_PAUSED,
SECOND_PAUSED,
DISABLED,
ARCHIVED,
UNKNOWN
Example:

"APPROVED"

category
enum<string>

Category of the template.

Available options:
MARKETING,
AUTHENTICATION,
UTILITY
Example:

"MARKETING"

quality
enum<string>

Quality of the template.

Available options:
HIGH,
MEDIUM,
LOW,
UNKNOWN
Example:

"HIGH"

validityPeriod
ValidityPeriodApiData · object

Template validity period in which WhatsApp will try to deliver a template message. Supported ranges are dependent on template category: 10 seconds to 15 minutes for Authentication, 30 seconds to 12 hours for Utility, and 12 to 48 hours for Marketing. Marketing validity periods apply only to messages sent through the Marketing Messages API and are ignored by the Cloud API.

platform
Platform · object

Platform options. For more details, see documentation.

createdAt
string<date-time>

Creation date of the template.

lastUpdatedAt
string<date-time>

Last update date of the template.

libraryTemplateName
string

Name of the library template from which this template was created. If not present, the template was not created using the template library.